# coding: utf-8

# flake8: noqa

"""
    PeerTube

    # Introduction  The PeerTube API is built on HTTP(S) and is RESTful. You can use your favorite HTTP/REST library for your programming language to use PeerTube. The spec API is fully compatible with [openapi-generator](https://github.com/OpenAPITools/openapi-generator/wiki/API-client-generator-HOWTO) which generates a client SDK in the language of your choice - we generate some client SDKs automatically:  - [Python](https://framagit.org/framasoft/peertube/clients/python) - [Go](https://framagit.org/framasoft/peertube/clients/go) - [Kotlin](https://framagit.org/framasoft/peertube/clients/kotlin)  See the [Quick Start guide](https://docs.joinpeertube.org/#/api-rest-getting-started) so you can play with the PeerTube API.  # Authentication  When you sign up for an account, you are given the possibility to generate sessions, and authenticate using this session token. One session token can currently be used at a time.  ## Roles  Accounts are given permissions based on their role. There are three roles on PeerTube: Administrator, Moderator, and User. See the [roles guide](https://docs.joinpeertube.org/#/admin-managing-users?id=roles) for a detail of their permissions.  # Errors  The API uses standard HTTP status codes to indicate the success or failure of the API call. The body of the response will be JSON in the following format.  ``` {   \"code\": \"unauthorized_request\", // example inner error code   \"error\": \"Token is invalid.\" // example exposed error message } ```   # noqa: E501

    The version of the OpenAPI document: 2.4.0
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

__version__ = "1.0.0"

# import apis into sdk package
from peertube.api.abuses_api import AbusesApi
from peertube.api.account_blocks_api import AccountBlocksApi
from peertube.api.accounts_api import AccountsApi
from peertube.api.config_api import ConfigApi
from peertube.api.feeds_api import FeedsApi
from peertube.api.instance_follows_api import InstanceFollowsApi
from peertube.api.instance_redundancy_api import InstanceRedundancyApi
from peertube.api.job_api import JobApi
from peertube.api.live_videos_api import LiveVideosApi
from peertube.api.my_notifications_api import MyNotificationsApi
from peertube.api.my_subscriptions_api import MySubscriptionsApi
from peertube.api.my_user_api import MyUserApi
from peertube.api.plugins_api import PluginsApi
from peertube.api.search_api import SearchApi
from peertube.api.server_blocks_api import ServerBlocksApi
from peertube.api.users_api import UsersApi
from peertube.api.video_api import VideoApi
from peertube.api.video_blocks_api import VideoBlocksApi
from peertube.api.video_captions_api import VideoCaptionsApi
from peertube.api.video_channels_api import VideoChannelsApi
from peertube.api.video_comments_api import VideoCommentsApi
from peertube.api.video_mirroring_api import VideoMirroringApi
from peertube.api.video_ownership_change_api import VideoOwnershipChangeApi
from peertube.api.video_playlists_api import VideoPlaylistsApi
from peertube.api.video_rates_api import VideoRatesApi
from peertube.api.videos_api import VideosApi

# import ApiClient
from peertube.api_client import ApiClient
from peertube.configuration import Configuration
from peertube.exceptions import OpenApiException
from peertube.exceptions import ApiTypeError
from peertube.exceptions import ApiValueError
from peertube.exceptions import ApiKeyError
from peertube.exceptions import ApiAttributeError
from peertube.exceptions import ApiException
# import models into sdk package
from peertube.models.abuse import Abuse
from peertube.models.abuse_message import AbuseMessage
from peertube.models.abuse_state_constant import AbuseStateConstant
from peertube.models.abuse_state_set import AbuseStateSet
from peertube.models.abuse_video import AbuseVideo
from peertube.models.abuses_account import AbusesAccount
from peertube.models.abuses_comment import AbusesComment
from peertube.models.abuses_video import AbusesVideo
from peertube.models.account import Account
from peertube.models.account_all_of import AccountAllOf
from peertube.models.account_summary import AccountSummary
from peertube.models.actor import Actor
from peertube.models.actor_info import ActorInfo
from peertube.models.actor_info_avatar import ActorInfoAvatar
from peertube.models.add_user import AddUser
from peertube.models.add_user_response import AddUserResponse
from peertube.models.add_user_response_user import AddUserResponseUser
from peertube.models.add_user_response_user_account import AddUserResponseUserAccount
from peertube.models.avatar import Avatar
from peertube.models.comment_thread_post_response import CommentThreadPostResponse
from peertube.models.comment_thread_response import CommentThreadResponse
from peertube.models.file_redundancy_information import FileRedundancyInformation
from peertube.models.follow import Follow
from peertube.models.get_me_video_rating import GetMeVideoRating
from peertube.models.inline_object import InlineObject
from peertube.models.inline_object1 import InlineObject1
from peertube.models.inline_object10 import InlineObject10
from peertube.models.inline_object11 import InlineObject11
from peertube.models.inline_object12 import InlineObject12
from peertube.models.inline_object13 import InlineObject13
from peertube.models.inline_object14 import InlineObject14
from peertube.models.inline_object15 import InlineObject15
from peertube.models.inline_object16 import InlineObject16
from peertube.models.inline_object17 import InlineObject17
from peertube.models.inline_object18 import InlineObject18
from peertube.models.inline_object19 import InlineObject19
from peertube.models.inline_object2 import InlineObject2
from peertube.models.inline_object20 import InlineObject20
from peertube.models.inline_object21 import InlineObject21
from peertube.models.inline_object22 import InlineObject22
from peertube.models.inline_object23 import InlineObject23
from peertube.models.inline_object24 import InlineObject24
from peertube.models.inline_object25 import InlineObject25
from peertube.models.inline_object26 import InlineObject26
from peertube.models.inline_object3 import InlineObject3
from peertube.models.inline_object4 import InlineObject4
from peertube.models.inline_object5 import InlineObject5
from peertube.models.inline_object6 import InlineObject6
from peertube.models.inline_object7 import InlineObject7
from peertube.models.inline_object8 import InlineObject8
from peertube.models.inline_object9 import InlineObject9
from peertube.models.inline_response200 import InlineResponse200
from peertube.models.inline_response2001 import InlineResponse2001
from peertube.models.inline_response2002 import InlineResponse2002
from peertube.models.inline_response2003 import InlineResponse2003
from peertube.models.inline_response2004 import InlineResponse2004
from peertube.models.inline_response2005 import InlineResponse2005
from peertube.models.inline_response2005_video_playlist import InlineResponse2005VideoPlaylist
from peertube.models.inline_response2006 import InlineResponse2006
from peertube.models.inline_response2006_video_playlist_element import InlineResponse2006VideoPlaylistElement
from peertube.models.inline_response2007 import InlineResponse2007
from peertube.models.inline_response2007_video_id import InlineResponse2007VideoId
from peertube.models.job import Job
from peertube.models.live_video_response import LiveVideoResponse
from peertube.models.live_video_update import LiveVideoUpdate
from peertube.models.mrss_group_content import MRSSGroupContent
from peertube.models.mrss_peer_link import MRSSPeerLink
from peertube.models.nsfw_policy import NSFWPolicy
from peertube.models.notification import Notification
from peertube.models.notification_actor_follow import NotificationActorFollow
from peertube.models.notification_actor_follow_following import NotificationActorFollowFollowing
from peertube.models.notification_comment import NotificationComment
from peertube.models.notification_list_response import NotificationListResponse
from peertube.models.notification_setting_value import NotificationSettingValue
from peertube.models.notification_video_abuse import NotificationVideoAbuse
from peertube.models.notification_video_import import NotificationVideoImport
from peertube.models.playlist_element import PlaylistElement
from peertube.models.plugin import Plugin
from peertube.models.plugin_response import PluginResponse
from peertube.models.register_user import RegisterUser
from peertube.models.register_user_channel import RegisterUserChannel
from peertube.models.server_config import ServerConfig
from peertube.models.server_config_about import ServerConfigAbout
from peertube.models.server_config_about_instance import ServerConfigAboutInstance
from peertube.models.server_config_auto_blacklist import ServerConfigAutoBlacklist
from peertube.models.server_config_auto_blacklist_videos import ServerConfigAutoBlacklistVideos
from peertube.models.server_config_avatar import ServerConfigAvatar
from peertube.models.server_config_avatar_file import ServerConfigAvatarFile
from peertube.models.server_config_avatar_file_size import ServerConfigAvatarFileSize
from peertube.models.server_config_custom import ServerConfigCustom
from peertube.models.server_config_custom_admin import ServerConfigCustomAdmin
from peertube.models.server_config_custom_cache import ServerConfigCustomCache
from peertube.models.server_config_custom_cache_previews import ServerConfigCustomCachePreviews
from peertube.models.server_config_custom_followers import ServerConfigCustomFollowers
from peertube.models.server_config_custom_followers_instance import ServerConfigCustomFollowersInstance
from peertube.models.server_config_custom_instance import ServerConfigCustomInstance
from peertube.models.server_config_custom_services import ServerConfigCustomServices
from peertube.models.server_config_custom_services_twitter import ServerConfigCustomServicesTwitter
from peertube.models.server_config_custom_signup import ServerConfigCustomSignup
from peertube.models.server_config_custom_theme import ServerConfigCustomTheme
from peertube.models.server_config_custom_transcoding import ServerConfigCustomTranscoding
from peertube.models.server_config_custom_transcoding_resolutions import ServerConfigCustomTranscodingResolutions
from peertube.models.server_config_email import ServerConfigEmail
from peertube.models.server_config_followings import ServerConfigFollowings
from peertube.models.server_config_followings_instance import ServerConfigFollowingsInstance
from peertube.models.server_config_followings_instance_auto_follow_index import ServerConfigFollowingsInstanceAutoFollowIndex
from peertube.models.server_config_import import ServerConfigImport
from peertube.models.server_config_import_videos import ServerConfigImportVideos
from peertube.models.server_config_instance import ServerConfigInstance
from peertube.models.server_config_instance_customizations import ServerConfigInstanceCustomizations
from peertube.models.server_config_plugin import ServerConfigPlugin
from peertube.models.server_config_search import ServerConfigSearch
from peertube.models.server_config_search_remote_uri import ServerConfigSearchRemoteUri
from peertube.models.server_config_signup import ServerConfigSignup
from peertube.models.server_config_transcoding import ServerConfigTranscoding
from peertube.models.server_config_trending import ServerConfigTrending
from peertube.models.server_config_trending_videos import ServerConfigTrendingVideos
from peertube.models.server_config_user import ServerConfigUser
from peertube.models.server_config_video import ServerConfigVideo
from peertube.models.server_config_video_caption import ServerConfigVideoCaption
from peertube.models.server_config_video_caption_file import ServerConfigVideoCaptionFile
from peertube.models.server_config_video_file import ServerConfigVideoFile
from peertube.models.server_config_video_image import ServerConfigVideoImage
from peertube.models.update_me import UpdateMe
from peertube.models.update_user import UpdateUser
from peertube.models.user import User
from peertube.models.user_role import UserRole
from peertube.models.user_watching_video import UserWatchingVideo
from peertube.models.video import Video
from peertube.models.video_blacklist import VideoBlacklist
from peertube.models.video_caption import VideoCaption
from peertube.models.video_channel import VideoChannel
from peertube.models.video_channel_create import VideoChannelCreate
from peertube.models.video_channel_owner_account import VideoChannelOwnerAccount
from peertube.models.video_channel_summary import VideoChannelSummary
from peertube.models.video_channel_update import VideoChannelUpdate
from peertube.models.video_comment import VideoComment
from peertube.models.video_comment_thread_tree import VideoCommentThreadTree
from peertube.models.video_constant_number import VideoConstantNumber
from peertube.models.video_constant_string import VideoConstantString
from peertube.models.video_details import VideoDetails
from peertube.models.video_details_all_of import VideoDetailsAllOf
from peertube.models.video_file import VideoFile
from peertube.models.video_import import VideoImport
from peertube.models.video_import_state_constant import VideoImportStateConstant
from peertube.models.video_info import VideoInfo
from peertube.models.video_list_response import VideoListResponse
from peertube.models.video_playlist import VideoPlaylist
from peertube.models.video_playlist_privacy_constant import VideoPlaylistPrivacyConstant
from peertube.models.video_playlist_privacy_set import VideoPlaylistPrivacySet
from peertube.models.video_playlist_type_constant import VideoPlaylistTypeConstant
from peertube.models.video_playlist_type_set import VideoPlaylistTypeSet
from peertube.models.video_privacy_constant import VideoPrivacyConstant
from peertube.models.video_privacy_set import VideoPrivacySet
from peertube.models.video_rating import VideoRating
from peertube.models.video_redundancy import VideoRedundancy
from peertube.models.video_redundancy_redundancies import VideoRedundancyRedundancies
from peertube.models.video_resolution_constant import VideoResolutionConstant
from peertube.models.video_scheduled_update import VideoScheduledUpdate
from peertube.models.video_state_constant import VideoStateConstant
from peertube.models.video_streaming_playlists import VideoStreamingPlaylists
from peertube.models.video_streaming_playlists_redundancies import VideoStreamingPlaylistsRedundancies
from peertube.models.video_upload_response import VideoUploadResponse
from peertube.models.video_upload_response_video import VideoUploadResponseVideo
from peertube.models.video_user_history import VideoUserHistory

